Retrieves all job_files
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_files| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| jobs_id |
Job Id |
globally unique identifier |
Required |
| job_approval_id |
Job approval Id |
globally unique identifier |
Required |
| file_name |
Name of the file |
string |
Required Max length: 100 |
| name | string |
Max length: 100 |
|
| description |
Description of the file |
string | |
| tags |
Tags of the file |
string | |
| mime_type |
Mime-type of the file.Used when redirect user to the data, like application/pdf or image/jpeg |
string |
Max length: 100 |
| file_type |
Readonly: Constant in case of specific file. Can be JOB_APPROVAL, ORDERPDF, PURCHASE_ORDERPDF |
string |
Max length: 200 |
| image_height |
In case of picture, the original heigth |
integer | |
| image_width |
In case of picture, the original width |
integer | |
| file_size |
Size in bytes of the file_content |
integer | |
| sales_organization_id | globally unique identifier | ||
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating db_file |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating db_file |
sales_organization | |
| file_content |
The file content, in Byte Array. Use this field when using POST/PUT |
Collection of byte | |
| dateutc_added |
Date UTC when file has been added |
date | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| user_id | globally unique identifier | ||
| show_on_web | boolean | ||
| db_report_id |
The id of db_report |
globally unique identifier |
Response Formats
application/json, text/json
{
"id": "88e53a10-6b57-40e9-8143-d560930d4a28",
"jobs_id": "4586d2e0-ac2e-4967-9785-8807c5429b74",
"job_approval_id": "2f3a23cc-4b2a-46b3-ba23-fbfcc97f6ad1",
"file_name": "sample string 4",
"name": "sample string 5",
"description": "sample string 6",
"tags": "sample string 7",
"mime_type": "sample string 8",
"file_type": "sample string 9",
"image_height": 10,
"image_width": 11,
"file_size": 12,
"sales_organization_id": "a1507662-b144-4ab0-a313-482c23479cc9",
"sales_organization_code": "sample string 14",
"file_content": "QEA=",
"dateutc_added": "2026-04-04T05:08:23.4086834+00:00",
"modified_dateutc": "2026-04-04T05:08:23.4086834+00:00",
"user_id": "6239d0c5-e209-4f1e-8b69-a5f6a4bab845",
"show_on_web": true,
"db_report_id": "dd2e77c5-7a5c-4b73-8cdc-da673cd28179"
}